LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XScriptProvider Interface Reference

This interface provides a factory for obtaining objects implementing the XScript interface. More...

`import"XScriptProvider.idl";`

Inheritance diagram for XScriptProvider:

## Public Member Functions
XScript | getScript ([in] string sScriptURI) raises ( ::com::sun::star::script::provider::ScriptFrameworkErrorException )
| a factory method for the creation of XScript implementations. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface provides a factory for obtaining objects implementing the XScript interface.

## Member Function Documentation

## ◆ getScript()

XScript getScript | ( | [in] string | sScriptURI | ) |
raises | ( | ::com::sun::star::script::provider::ScriptFrameworkErrorException
| ) |  |

a factory method for the creation of XScript implementations.

Parameters

  sScriptURI | is the logical or language-dependent script URI

Returns
  an object implementing com::sun::star::script::provider::XScript representing the script

Exceptions

  com::sun::star::script::provider::ScriptFrameworkErrorException | Framework error getting script for URI.

The documentation for this interface was generated from the following file:

- com/sun/star/script/provider/XScriptProvider.idl